# POST /health URL: https://developers.vsee.io/api/health-api/post/health operationId: submitHealthData Auth: User Token — Requires a user access token from login or SSO. Submit health data Submit health measurement data from a registered device Parameters: - X-ApiToken (header, string, required) — API token - X-ApiKey (header, string, required) — API Key - X-AccountCode (header, string, required) — Account code Request body (application/json): - type (string, required) — Device type - date (string, required) — Date in YYYY-MM-DD format - time (integer, required) — UNIX timestamp - device_id (string, required) — Device unique identifier - data_type (string, required) — Type of measurement [enum: temperature_body, bg, bp, weight, active_minutes, steps, hr, bo, illuminance, humidity, gas, movement, noise, range] - data_class (string, required) — Data classification [enum: body, environment] - temperature_body (string, optional) — Body temperature value - temperature_unit (string, optional) — Temperature unit [enum: cel, fah] - bg (number, optional) — Blood glucose value - bg_unit (string, optional) — Blood glucose unit [enum: mg/dL, mmol/L] - hp (integer, optional) — Systolic blood pressure (high pressure) - lp (integer, optional) — Diastolic blood pressure (low pressure) - bp_unit (string, optional) — Blood pressure unit [enum: mmHg, kPa] - weight (number, optional) — Weight value - weight_unit (string, optional) — Weight unit [enum: lbs, kg] - active_minutes (integer, optional) — Active minutes - steps (integer, optional) — Step count - hr (number, optional) — Heart rate - bo (number, optional) — Blood oxygen - illuminance (number, optional) — Illuminance value - illuminance_unit (string, optional) — Illuminance unit [enum: lux] - humidity (number, optional) — Humidity value - humidity_unit (string, optional) — Humidity unit [enum: percentage] - gas (string, optional) — Gas value - movement (, optional) — Movement value - noise (number, optional) — Noise level - noise_unit (string, optional) - range (number, optional) — Range in cm - range_unit (string, optional) — Range unit [enum: cm] Example request: ```json { "type": "ihealth_thermometer_pt3sbt", "date": "2021-08-25", "time": 1695626540, "device_id": "004D320DCAA2", "data_type": "temperature_body", "data_class": "body", "temperature_body": "36.76", "temperature_unit": "cel" } ``` Responses: - 200 — Health data submitted successfully ```json { "data": { "id": "string", "status": "string" } } ```